graphql:
    servlet:
        mapping: /graphql
        enabled: true
        corsEnabled: true
        exception-handlers-enabled: true
        tracing-enabled: false
        actuator-metrics: false

        subscriptions:
            websocket:
                path: /subscriptions

graphql.playground:
    mapping: /playground
    endpoint: /graphql
    subscriptionEndpoint: /subscriptions
    #staticPath.base: my-playground-resources-folder
    enabled: true
    pageTitle: Playground
    cdn:
        enabled: false
        version: latest
    settings:
        editor.cursorShape: line
        editor.fontFamily: "'Source Code Pro', 'Consolas', 'Inconsolata', 'Droid Sans Mono', 'Monaco', monospace"
        editor.fontSize: 14
        editor.reuseHeaders: true
        editor.theme: dark
        general.betaUpdates: false
        prettier.printWidth: 80
        prettier.tabWidth: 2
        prettier.useTabs: false
        request.credentials: omit
        schema.polling.enable: true
        schema.polling.interval: 10000
        schema.disableComments: true
        tracing.hideTracingResponse: true
    headers:
        headerFor: AllTabs
    tabs:
        -   name: "001: Hello"
            query: classpath:graphql/example/001_hello.graphql
        -   name: "002: Point"
            query: classpath:graphql/example/002_point.graphql
        -   name: "003: Rectangle"
            query: classpath:graphql/example/003_rectangle.graphql
        -   name: "004: Labels"
            query: classpath:graphql/example/004_labels.graphql
        -   name: "005: Combine Queries"
            query: classpath:graphql/example/005_combine_queries.graphql
        -   name: "006: Subscriptions"
            query: classpath:graphql/example/006_subscriptions.graphql